import Layout from '@/Layout/index.vue'
export default [
  { path: '/', redirect: '/index' },
  /* 首页 */
  {
    path: '/index',
    component: Layout,
    children: [
      {
        path: '',
        name: 'home',
        component: () => import('../pages/home/index.vue')
      }
    ]
  },
  /* 店铺 */
  {
    path: '/shop',
    component: Layout,
    children: [
      {
        path: '',
        name: 'Shop',
        component: () => import('../pages/home/index.vue')
      }
    ]
  },
  /* 个人中心 */
  {
    path: '/my',
    component: Layout,
    children: [
      {
        path: '',
        name: 'My',
        component: () => import('../pages/my/index.vue')
      }
    ]
  },
  /* 商品购买页 */
  {
    path: '/buy',
    name: 'Buy',
    component: () => import('../pages/buy/index.vue')
  },
  /* 订单列表 */
  {
    path: '/order',
    name: 'Order',
    component: () => import('../pages/order/index.vue')
  },
  /* 订单详情 */
  {
    path: '/order-details',
    name: 'OrderDetails',
    component: () => import('../pages/order/order-details.vue')
  },
  /* 如果所有页面都没找到 - 指向 */
  { path: '*', component: () => import('@/components/errorPages/404.vue') }
]
